import { FileEditor } from './FileEditor';
/**
 * Media poster file editor.
 **/
export declare class MediaPosterFileEditor extends FileEditor {
    constructor(props: any, context: any);
    protected getValuePath(): string;
    protected getDescriptorType(): string;
    protected getAcceptExtensions(): string;
    protected get filePropName(): string;
    protected getFileNameDescriptor(): PropertyDescriptor;
}
